STRUCT TEMPLATE (3)

NAME
boost::interprocess::segment_manager::allocator

SYNOPSIS

// In header: <boost/interprocess/segment_manager.hpp>
template<typename T>
struct allocator {
  // types
  typedef boost::interprocess::allocator< T, segment_manager > type;
};

DESCRIPTION

This is the default allocator to allocate types T from this managed segment